import requests
from tenacity import retry, stop_after_attempt, wait_fixed


@retry(stop=stop_after_attempt(2), wait=wait_fixed(1))
def test_health_check():
    """
    Testing Health Check endpoint service
    :return: None
    """
    HOST = 'ac-config-svc'
    PORT = 80
    ROUTE = '/alert-classification/v1/internal/configuration'
    _url = f'http://{HOST}:{PORT}{ROUTE}'
    resp = requests.get(_url)
    assert resp.ok, f'Health check failed with status code: {resp.status_code}'
